Bug 429084 - Review Request: vamp-plugin-sdk - An API for audio analysis and feature extraction plugins
Review Request: vamp-plugin-sdk - An API for audio analysis and feature extra...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429086
  Show dependency treegraph
 
Reported: 2008-01-17 01:19 EST by Michel Alexandre Salim
Modified: 2008-02-13 00:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.1b-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 00:06:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-01-17 01:19:38 EST
Spec URL: http://salimma.fedorapeople.org/for_review/music/vamp-plugin-sdk.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/music/vamp-plugin-sdk-1.1b-1.fc8.src.rpm
Description: Vamp is an API for C and C++ plugins that process sampled audio data
to produce descriptive output (measurements or semantic observations).
Comment 1 Parag AN(पराग) 2008-01-26 22:14:10 EST
Can you drop static libraries from -devel package?
Comment 2 Parag AN(पराग) 2008-01-27 02:54:48 EST
koji build failed with log
http://koji.fedoraproject.org/koji/getfile?taskID=375623&name=build.log
Comment 3 Michel Alexandre Salim 2008-01-27 11:13:02 EST
Fixed build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=376090

http://salimma.fedorapeople.org/for_review/music/vamp-plugin-sdk-1.1b-2.fc9.src.rpm

I split the static libraries to a separate subpackage, to allow static
compilation of applications that use vamp-plugin-sdk (the app I'm packaging,
sonic-visualiser, is shipped by upstream in static form, a self-contained binary)
Comment 4 Parag AN(पराग) 2008-01-28 00:14:59 EST
Not sure how this will be allowed as you can see
http://fedoraproject.org/wiki/Packaging/Guidelines#head-ed9c4b45be77361033ccbc199bb3d49d02283ba9
static linkage needs FESCO approval.
Comment 5 Michel Alexandre Salim 2008-01-28 00:38:43 EST
But I'm not statically linking; I'm giving the opportunity for users of the SDK
to statically link (my packaging of sonic-visualiser is dynamically linked).

If you 'ls /usr/lib*/*.a' you'll find quite a bunch of them.
Comment 6 Parag AN(पराग) 2008-01-28 01:17:32 EST
ahh. Got it now. Will review this.
Comment 7 Parag AN(पराग) 2008-01-28 04:18:22 EST
I think you better remove static rpm dependency on -devel subpackage. Let
-static be independent installation.
Comment 8 Parag AN(पराग) 2008-01-28 05:35:09 EST
(In reply to comment #7)
> I think you better remove static rpm dependency on -devel subpackage. Let
> -static be independent installation.
  I agree that when developer want to install -devel and if he want to
statically link then he should also get -static. But I think good to make it
independent. I leave this upto you.

As you have patched Makefile, I think its good to even change all cp commands to
preserve timestamp by making them to install using "cp -p"

Good to install examples directory as %doc of -devel package.
Comment 9 Michel Alexandre Salim 2008-01-28 09:19:02 EST
Agreed on preserving timestamps (thanks for noticing that).

Regarding -devel and -static, -devel has the pkgconfig.pc file so static has to
pull it as well. I quite like chaining dependencies when they make sense; it
allows a user to just 'yum install vamp-plugin-sdk-static' here and have
everything working.

Will post updated package with the timestamp and %doc changes later today.
Comment 10 Michel Alexandre Salim 2008-01-28 15:22:10 EST
http://salimma.fedorapeople.org/for_review/music/vamp-plugin-sdk-1.1b-3.fc9.src.rpm

Packaged examples (and added an auto-generated Makefile that builds the example
plugins). Also caught hardcoded lib path in the pkgconfig files.
Comment 11 Parag AN(पराग) 2008-01-28 22:59:24 EST
rpmlint gave me =>
vamp-plugin-sdk.i386: E: non-standard-executable-perm
/usr/lib/libvamp-hostsdk.so.2.0.0 0775
vamp-plugin-sdk.i386: E: non-standard-executable-perm
/usr/lib/libvamp-sdk.so.1.1.0 0775
Comment 12 Michel Alexandre Salim 2008-01-28 23:50:38 EST
Weird, it's 0755 here. I guess I'll switch to using install rather than cp -p.
Comment 13 Parag AN(पराग) 2008-01-29 00:14:51 EST
above review I did based on my local mock setting but koji seems to have silent
output on this package now.
http://koji.fedoraproject.org/koji/taskinfo?taskID=380186

will review this now.
Comment 14 Parag AN(पराग) 2008-01-29 00:15:31 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
aeda086f10227e6ca473f714ac025807  vamp-plugin-sdk-1.1b.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ static libraries present in -static subpackage.
+ .pc files present.
+ -devel and -static subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package vamp-plugin-sdk-1.1b-3.fc9 ->
  Provides: libvamp-hostsdk.so.2.0.0 libvamp-sdk.so.1.1.0
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.4) libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libm.so.6
libm.so.6(GLIBC_2.0) libstdc++.so.6 libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4) libvamp-hostsdk.so.2.0.0 libvamp-sdk.so.1.1.0
rtld(GNU_HASH)
+ Package vamp-plugin-sdk-devel-1.1b-3.fc9 ->
  Requires: libvamp-hostsdk.so.2.0.0 libvamp-sdk.so.1.1.0 pkgconfig
vamp-plugin-sdk = 1.1b-3.fc9
+ Package vamp-plugin-sdk-static-1.1b-3.fc9 ->
  Requires: vamp-plugin-sdk-devel = 1.1b-3.fc9
+ Not a GUI App.
APPROVED.
Comment 15 Michel Alexandre Salim 2008-01-30 18:10:33 EST
Thanks!

New Package CVS Request
=======================
Package Name: vamp-plugin-sdk
Short Description: An API for audio analysis and feature extraction plugins
Owners: salimma
Branches: EL-5 F-7 F-8 
InitialCC: 
Cvsextras Commits: yes
Comment 16 Fedora Update System 2008-01-31 10:02:57 EST
vamp-plugin-sdk-1.1b-3.fc8 has been submitted as an update for Fedora 8
Comment 17 Fedora Update System 2008-01-31 10:03:36 EST
vamp-plugin-sdk-1.1b-3.fc7 has been submitted as an update for Fedora 7
Comment 18 Kevin Fenzi 2008-01-31 12:57:35 EST
Looks like cvs is done here... clearing flag. 
Comment 19 Fedora Update System 2008-02-02 04:01:15 EST
vamp-plugin-sdk-1.1b-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vamp-plugin-sdk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1243
Comment 20 Parag AN(पराग) 2008-02-11 06:50:31 EST
I think you can submit this for stable repo now.
Comment 21 Michel Alexandre Salim 2008-02-11 15:36:34 EST
Just pushed, thanks.
Comment 22 Fedora Update System 2008-02-13 00:06:00 EST
vamp-plugin-sdk-1.1b-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2008-02-13 00:11:09 EST
vamp-plugin-sdk-1.1b-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.